Subject: bug#25328: pinentry-gtk-2 fails after upgrade to 1.0.0: "Operation cancelled"

From: Leo Famulari <[email-masked]>
Date: Sun, 7 May 2017 19:33:59 -0400

On Mon, May 08, 2017 at 03:45:40AM +0530, Arun Isaac wrote:
> >> Since upgrading pinentry-gtk-2 from 0.9.7 to 1.0.0, I've noticed some
> >> strange behavior.  Whenever I try to do something that requires access
> >> to my secret key, no window appears, and I get an error like the
> >> following:
> >>
> >>     $ gpg --sign /tmp/message
> >>     gpg: signing failed: Operation cancelled
> >>     gpg: signing failed: Operation cancelled
> 
> I am experiencing the exact same problem with pinentry-gtk-2 in exwm
> (Emacs X Window Manager). The pinentry window seems to get closed
> immediately after it appears. I thought that this was some bug in
> exwm. But, now that you mention this, maybe something's wrong with
> pinentry-gtk-2.

Chiming in to say that Guix's pinentry-gtk-2 works fine for me on Debian
unstable.